import QtQuick

import Core

KeyboardKey {
    property url icon
    property int iconHeight: 0
    property int iconWidth: 0
    Style.type: "ActionButton"
    contentItem: Item {
        SvgImage {
            anchors.centerIn: parent
            height: iconHeight || parent.height
            width: iconWidth || parent.width
            source: icon
        }
    }
}
