import QtQml.Base
import QtQuick
import QtQuick.Layouts

import Core
import Sco

/**
 * @brief Кнопка вызова консультанта
 */
ActionButton {
    id: root
    Style.class: "helpButton"
    property alias seconds: timer.seconds
    readonly property alias timerRunning: timer.running

    enabled: !timer.running
    text: "help"
    action: "SCO_HELP"
    icon: Style.parameter("icon.help")
    ActionButtonTimer {
        id: timer
        seconds: 10
    }

    onClicked: () => timer.run()
}
