import QtQuick

import Core

import "../widgets"

BaseForm {
    id: root
    Context.modal: true

    Style.type: "ModalForm"

    leftPadding: Style.layout.leftPadding
    rightPadding: Style.layout.rightPadding
    bottomPadding: Style.layout.bottomPadding
    topPadding: Style.layout.topPadding

    // Во всех модальных диалогах отключаем всплывающую клавиатуру
    allowFloatKeyboard: false

    property int showDelay: 0
    property bool hide: false

    implicitWidth: Style.parameter("geometry.modalForm.implicitWidth", 735)
    background: null
}
