import QtQuick
import QtQuick.Shapes

/**
 * @brief Пунктирная линия
 */
Shape {
    id: shape
    property alias strokeWidth: shapePath.strokeWidth
    property alias dashPattern: shapePath.dashPattern
    property alias color: shapePath.strokeColor
    ShapePath {
        id: shapePath
        strokeStyle: ShapePath.DashLine
        startX: 0; startY: 0
        PathLine { relativeX: shape.width; relativeY: 0 }
    }
}
