import QtQuick
import QtQuick.Controls

import Core

/**
 * @brief Поле ввода
 */
TextInput {
    Style.type: "TextEdit"

    verticalAlignment: Qt.AlignVCenter
    horizontalAlignment: Qt.AlignHCenter
    color: Style.text.color
    font: Style.text.font
    selectionColor: Style.selection.color
    passwordCharacter: '*'

    onPreeditTextChanged: () => { if (text !== displayText) Qt.callLater(Qt.inputMethod.commit) }
}
